// Copyright 2017 The Johns Hopkins University Applied Physics Laboratory.
// Licensed under the MIT License. See LICENSE.txt in the project root for full license information.

#pragma once

#include <string>

#include <eopcc/cloud.hpp>

namespace eopcc {

const int kLasIncludesRGB = 2;

class LASValidationError : public std::runtime_error { 
public:
	LASValidationError(const char* msg) : std::runtime_error(msg) {}
};


void LoadFromLAS(std::string las_file_name, PointCloud& point_cloud);
void WriteToLAS(std::string las_file_name, const PointCloud& point_cloud);
bool ValidateLAS(std::string las_file_name, std::string kml_file, bool require_compressed);


PolygonExtent ExtentFromKML(const std::string& kml_file);

} // eopcc
